<div class="addContainer">
    <div class="modalHeader">
        <div class="editRowModal">
            <div class="modalHeader clearfix">

                <div class="modal-about">
                    <div class="font-weight-bold p-t-5 p-l-10 font-17">
                        {{dialogTitle}}</div>
                </div>
            </div>
        </div>
        <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
            <mat-icon>close</mat-icon>
        </button>
    </div>
    <div mat-dialog-content>
        <form class="register-form m-4" [formGroup]="roomForm">
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
                    <mat-form-field class="example-full-width" appearance="outline">
                        <mat-label>Nombre Convenio</mat-label>
                        <input matInput formControlName="NombreConvenio" required>
                        <mat-icon matSuffix>assignment</mat-icon>
                        <mat-error *ngIf="roomForm.get('NombreConvenio').hasError('required')">
                            Nombre Convenio es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
                    <mat-form-field class="example-full-width" appearance="outline">
                        <mat-label>Descuento</mat-label>
                        <input matInput formControlName="Descuento" required>
                        <mat-icon matSuffix>face</mat-icon>
                        <mat-error *ngIf="roomForm.get('Descuento').hasError('required')">
                            El descuento es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
                    <mat-form-field class="example-full-width" appearance="outline">
                        <mat-label>Notas</mat-label>
                        <input matInput formControlName="Notas" required>
                        <mat-icon matSuffix>store</mat-icon>
                        <mat-error *ngIf="roomForm.get('Notas').hasError('required')">
                            Notas es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
                    <!-- <mat-form-field class="example-full-width" appearance="fill">
                    <mat-select required formControlName="Nombre">
                      <mat-option *ngFor="let doctor of doctores" value="{{doctor.idDoctores}}">{{doctor.Nombre}}</mat-option>
                    </mat-select>
                      <mat-error *ngIf="roomForm.get('Nombre').hasError('required')">
                        El Nombre es requerido
                      </mat-error>
                    <mat-label>
                      Nombre del doctor del convenio
                    </mat-label>
                  </mat-form-field> -->
                  <mat-form-field class="example-full-width " appearance="outline" *ngIf="doctores === null">
                    <mat-label>Sin Doctores</mat-label>
                    <mat-select formControlName="Nombre" [disabled]="true">
                      <mat-option>
                        <ngx-mat-select-search [formControl]="filtrodoctor" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                      </mat-option>
                      <mat-option *ngFor="let doc of doctores1" [value]="doc.idUsuario">
                        {{doc.NombreUsuario}} {{doc.Apellidos}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field class="example-full-width " appearance="outline" *ngIf="doctores !== null">
                    <mat-label>Doctor</mat-label>
                    <mat-select formControlName="Nombre">
                      <mat-option>
                        <ngx-mat-select-search [formControl]="filtrodoctor" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                      </mat-option>
                      <mat-option value="0">
                        Matriz
                      </mat-option>
                      <mat-option *ngFor="let doc of doctores1" [value]="doc.idUsuario">
                        {{doc.NombreUsuario}} {{doc.Apellidos}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                    <div class="example-button-row">
                        <button *ngIf="this.action=='edit'" mat-raised-button color="primary" [disabled]="!roomForm.valid"
                            [mat-dialog-close]="1" (click)="submit()">Actualizar</button>
                        <button *ngIf="this.action!='edit'" mat-raised-button color="primary" [disabled]="!roomForm.valid"
                        [mat-dialog-close]="1" (click)="nuevoConvenio()">Guardar</button>
                        <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancel</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>